report.template.producer.type.invalid=Invalid template file type. Please check whether it is PDF/WORD/EXCEL.
report.template.type.invalid=Invalid template type. Please check whether it is built-in or custom.
report.datasource.type.invalid=Invalid datasource type. Please check whether it is jdbc/spring/api.
report.datasource.sql.param.invalid=Invalid default value for SQL query parameter. Please check.
report.datasource.sql.invalid=Invalid SQL statement input. Please check.
report.datasource.sql.note.invalid=Comments are not allowed in SQL due to security risks.
report.datasource.sql.inject.risks=Invalid SQL. Potential injection risk detected.